Page MenuHomePhabricator

Roll out videojs as the only video/audio player on all Wikimedia wikis
Closed, ResolvedPublic

Description


  • Write new documentation page for community about the change (DJ)
  • Send out Mass Message (Amir)
  • Add note in Tech News (Amir)
  • Monitor for new errors (Jon and Amir) and capture and document community feedback (Olga)
  • Early adopters group batch 1 desktop-improvements (early March) dewikivoyage, euwiki, frwiktionary, hewiki, ptwikiversity, srwiki, Viwikibooks
  • Early adopters group batch 2 desktop-improvements (Kowiki, viwiki, fawiki, frwiki (TBC) )
  • All desktop-improvements wikis
  • Wiktionary wikis
  • Commons – patch
  • The rest of Group 1 – patch
  • All remaining wikis – patch

Related Objects

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

The whole discussion about changing Template:Audio and how that works is out of scope of deploying videojs and already caused confusion to people following this ticket. What needs to be done depends heavily on how community of each wiki want to present pronunciation audios (including but not limited to the icon, size, showing copyright notice or not, etc.). Please create a separate ticket and discuss that there. Thanks.

Change 775294 merged by jenkins-bot:

[operations/mediawiki-config@master] Enable videojs on all of DIP wikis

https://gerrit.wikimedia.org/r/775294

Mentioned in SAL (#wikimedia-operations) [2022-04-05T14:05:28Z] <ladsgroup@deploy1002> Synchronized wmf-config/InitialiseSettings.php: Config: [[gerrit:775294|Enable videojs on all of DIP wikis (T248418)]] (duration: 00m 53s)

Change 778197 had a related patch set uploaded (by Ladsgroup; author: Amir Sarabadani):

[operations/mediawiki-config@master] Enable videojs on wiktionary wikis

https://gerrit.wikimedia.org/r/778197

Planning to deploy on Monday ^

@Ladsgroup in case you haven't seen this on fawiki's Technical Village Pump, seems like videojs may have some issues for some users.

Thanks. I will follow up with the user.

Change 778197 merged by jenkins-bot:

[operations/mediawiki-config@master] Enable videojs on wiktionary wikis

https://gerrit.wikimedia.org/r/778197

Mentioned in SAL (#wikimedia-operations) [2022-04-11T09:44:26Z] <ladsgroup@deploy1002> Synchronized wmf-config/InitialiseSettings.php: Config: [[gerrit:778197|Enable videojs on wiktionary wikis (T248418)]] (duration: 00m 52s)

@Ladsgroup I just realised that we should probably disable wgTmhUseBetaFeatures on any wikis that we switch, like DIP and wiktionary groups. Now ppl have a non-working beta option in their settings.

It's a bit complicated because due to the caching changes, it might mean someone who originally enabled videojs might end up with the old player, we probably can start disabling that in wikis after twenty days. Does that sound good to you?

Change 780925 had a related patch set uploaded (by Jforrester; author: Jforrester):

[operations/mediawiki-config@master] TimedMediaHandler: Make videojs the only player on Commons

https://gerrit.wikimedia.org/r/780925

Change 783447 had a related patch set uploaded (by Amire80; author: Amire80):

[translatewiki@master] Move TimedMediaHandler EmbedPlayer to Wikimedia - Legacy

https://gerrit.wikimedia.org/r/783447

Change 783447 merged by jenkins-bot:

[translatewiki@master] Move TimedMediaHandler EmbedPlayer to Wikimedia - Legacy

https://gerrit.wikimedia.org/r/783447

Change 780925 merged by jenkins-bot:

[operations/mediawiki-config@master] TimedMediaHandler: Make videojs the only player on Commons

https://gerrit.wikimedia.org/r/780925

Mentioned in SAL (#wikimedia-operations) [2022-04-18T14:21:41Z] <ladsgroup@deploy1002> Synchronized wmf-config/InitialiseSettings.php: Config: [[gerrit:780925|TimedMediaHandler: Make videojs the only player on Commons (T248418)]] (duration: 00m 50s)

Ladsgroup moved this task from Already announced/Archive to To Triage on the User-notice board.

This needs to be announced as it's going to group1 next week.

@Amire80 you can also move "New Mw Embed Support" category to legacy, they are subcomponents of the older Kaltura player

I'm going to hold off for now but won't rollback because:

  • It'll be messy with ParserCache, by the time it actually takes into affect, we are already done.
  • While score is important, it's not that important, the whole extension was disabled for a year.
  • The point of gradual deployment is to find issues before major rollouts and we haven't rolled this out to group1 so we are on track.
  • While score is important, it's not that important, the whole extension was disabled for a year.

That task doesn't seem to have any engagement from Score's nominal maintainers. I don't think it's reasonable to block this roll-out on waiting for volunteers to be available. We could just re-disable it (or this part of it).

First, it’s not Score’s fault that TMH’s JavaScript tries to catch up a valid and working HTML element and breaks on it; if it can’t handle HTML output by third parties (which is not only Score, I’m pretty sure there are other extensions outputting <audio>), it shouldn’t try to do so (or at least it should fail gracefully, leaving the page intact in case it breaks). If TMH’s maintainers cannot fix a bug in Video.js, then Video.js shouldn’t be deployed.

Second, by disabling the extension, you punish not even the (IMO innocent) maintainers of Score, but the users. Yes, it was disabled for a year, but it was no fun, it made several articles almost useless, as their contents build around the scores. I could accept that because of the serious security issue, but there’s nothing like that here. Kaltura is outdated and ugly, but doesn’t have serious security issues (correct me if I’m wrong).

Third, there’s absolutely no need to disable anything, as the bug manifests itself in the playback being effectively disabled—without even leaving any logspam, as far as I see (at least I don’t see anything on the browser console, and I can’t imagine this bug causing any PHP logspam). Which is bad, as otherwise this bug probably would have been detected much earlier, but good, because not even logspam is a reason to disable even more parts of Score.

I think we are talking about two different issues: One is Score's player not being consistent and the other one being the player not working at all. The former really is not TMH's issue, Score should not reinvent the wheel. The latter seems slightly important but again it's just the playback and not its main usecase (displaying musical notations), I assume most users don't even know it has a playback. Even in the article you mentioned, there is a playback and an audio file in the same page probably playing the same thing. And when TMH is not loaded, the player should work just fine. So this is really not that important

That being said, the fix for it might be easy. I wait for a quick check by someone who knows better and assess how much work it is and then move forward depending on that. I highly suggest you create a separate ticket because it's really not the same issue.

Kaltura is outdated and ugly, but doesn’t have serious security issues (correct me if I’m wrong).

While this is true in this case, I need to mention any unmaintained old code is a possible vector.

I'm going to hold off for now [...]

Based on this, I will remove this entry from Tech News for this week (I'm sending it in ~30min), until ready. (At which time we can copy the draft out of the old revision, so that translation-memory picks it up.)

I'm about to deploy it now 😅

Good thing I delayed then! I will restore the entry. :)

Change 612348 merged by jenkins-bot:

[operations/mediawiki-config@master] TimedMediaHandler: Make videojs the only player on all group1

https://gerrit.wikimedia.org/r/612348

Mentioned in SAL (#wikimedia-operations) [2022-04-25T22:49:12Z] <ladsgroup@deploy1002> Synchronized wmf-config/InitialiseSettings.php: Config: [[gerrit:612348|TimedMediaHandler: Make videojs the only player on all group1 (T248418)]] (duration: 00m 54s)

I'm trying to find out where to post it for dewiki. https://de.wikipedia.org/wiki/Wikipedia:Projektneuheiten seems to be the place but probably shorter (and translated)

I believe the most usual page for higher-visibility announcements is https://de.wikipedia.org/wiki/Wikipedia:Kurier -- I'd suggest posting the full announcement on the talkpage there, and adding a comment like "Please translate and share a summary of this information as needed."
You could also mention that there is an existing item about this in (the page you found) https://de.wikipedia.org/wiki/Wikipedia:Projektneuheiten#Bereit_zum_Testen that could be updated with the expected timing.

Yeah I asked in the talk page and it seems it's on the right track there.

Change 786976 had a related patch set uploaded (by Ladsgroup; author: Amir Sarabadani):

[operations/mediawiki-config@master] Enable videojs in eswiki

https://gerrit.wikimedia.org/r/786976

Change 786976 merged by jenkins-bot:

[operations/mediawiki-config@master] Enable videojs in eswiki

https://gerrit.wikimedia.org/r/786976

Mentioned in SAL (#wikimedia-operations) [2022-04-27T14:43:34Z] <ladsgroup@deploy1002> Synchronized wmf-config/InitialiseSettings.php: Config: [[gerrit:786976|Enable videojs in eswiki (T303785 T248418)]] (duration: 00m 51s)

I've added it to next week's Tech News. https://meta.wikimedia.org/wiki/Tech/News/2022/18 ("On all remaining wikis (group 2), the software to play [...]"

Change 612349 merged by jenkins-bot:

[operations/mediawiki-config@master] TimedMediaHandler: Make videojs the only player everywhere

https://gerrit.wikimedia.org/r/612349

Mentioned in SAL (#wikimedia-operations) [2022-05-02T05:53:23Z] <ladsgroup@deploy1002> Synchronized wmf-config/InitialiseSettings.php: Config: [[gerrit:612349|TimedMediaHandler: Make videojs the only player everywhere (T248418)]] (duration: 00m 47s)

This is done. It takes three weeks to properly propagate through the parser cache but it will get there.

Next steps (I guess):

  • Announce it via the blogpost.
  • Wait for three weeks to make sure there is no need to roll back.
  • After three weeks, disable the beta feature everywhere.
  • Start removing the old code.
  • Celebrate

Please also take the time to check in and update (e.g. resolve or comment that still a problem) on the open production-error bugs:
T262494,T277686,T262624,T262623,T279093,T265425,T277669,T265154,T265629,T265394,T280154,T282156,T282162,T282157,T262974,T284769,T303221,T304705
https://logstash.wikimedia.org/goto/61787bb43c2f87fceb90245baee01770

The volume seems to be decreasing so I think a few of these tasks should be resolved:

Screen Shot 2022-05-02 at 8.57.34 AM.png (232×2 px, 53 KB)

Looks like it! Just making sure its on your radar :)

Change 788385 had a related patch set uploaded (by Jforrester; author: Jforrester):

[operations/mediawiki-config@master] TimedMediaHandler: Disabled the BetaFeature from wikis

https://gerrit.wikimedia.org/r/788385

Please also take the time to check in and update (e.g. resolve or comment that still a problem) on the open production-error bugs:
T262494,T277686,T262624,T262623,T279093,T265425,T277669,T265154,T265629,T265394,T280154,T282156,T282162,T282157,T262974,T284769,T303221,T304705
https://logstash.wikimedia.org/goto/61787bb43c2f87fceb90245baee01770

The volume seems to be decreasing so I think a few of these tasks should be resolved:

Screen Shot 2022-05-02 at 8.57.34 AM.png (232×2 px, 53 KB)

From the errors I'm seeing in here, there shouldn't be anything left from commons as the three weeks have passed but there are some (~200 per day) still kicking from commons which seems to be all Special:MediaSearch. Someone might want to take a look at that.

@Ladsgroup @TheDJ are there open design/UX questions? if so, I was thinking it could be great for you to come to a WMF design review meeting (every Thursday at 2PM UTC). I would be happy to help you organize any open questions into a simple presentation, and then follow-up with you afterwards to resolve the decisions.

Hi, sure thing! I will collect the open design questions and bring them to the meeting.

Change 788385 merged by jenkins-bot:

[operations/mediawiki-config@master] TimedMediaHandler: Disabled the BetaFeature from wikis

https://gerrit.wikimedia.org/r/788385

Mentioned in SAL (#wikimedia-operations) [2022-05-23T06:00:20Z] <ladsgroup@deploy1002> Synchronized wmf-config/InitialiseSettings.php: Config: [[gerrit:788385|TimedMediaHandler: Disabled the BetaFeature from wikis (T248418)]] (duration: 00m 51s)

Change 612350 merged by jenkins-bot:

[operations/mediawiki-config@master] TimedMediaHandler: Drop Beta Feature, no longer usable

https://gerrit.wikimedia.org/r/612350

Mentioned in SAL (#wikimedia-operations) [2022-05-23T06:02:02Z] <ladsgroup@deploy1002> Synchronized wmf-config/InitialiseSettings.php: Config: [[gerrit:612350|TimedMediaHandler: Drop Beta Feature, no longer usable (T248418)]] (duration: 00m 52s)

Change 612351 merged by jenkins-bot:

[operations/mediawiki-config@master] TimedMediaHandler: Don't read wmgTmhWebPlayer

https://gerrit.wikimedia.org/r/612351

Mentioned in SAL (#wikimedia-operations) [2022-05-23T06:04:13Z] <ladsgroup@deploy1002> Synchronized wmf-config/CommonSettings.php: Config: [[gerrit:612351|TimedMediaHandler: Don't read wmgTmhWebPlayer (T248418)]] (duration: 00m 50s)

Change 612352 merged by jenkins-bot:

[operations/mediawiki-config@master] TimedMediaHandler: Drop pre-switch config, no longer read

https://gerrit.wikimedia.org/r/612352

Mentioned in SAL (#wikimedia-operations) [2022-05-23T06:06:59Z] <ladsgroup@deploy1002> Synchronized wmf-config/InitialiseSettings.php: Config: [[gerrit:612352|TimedMediaHandler: Drop pre-switch config, no longer read (T248418)]] (duration: 00m 54s)